package com.szyx.tcm.supervision.annotation;

import com.szyx.tcm.supervision.enums.OperationTypeEnum;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/*******************************************************************
 * <pre></pre>
 * @文件名称： TraceLog.java
 * @包 路  径： com.szyx.tcm.supervision.annotation
 * @Copyright：wy (C) 2024 *
 * @Description:
 * @Version: V1.0
 * @Author： wy
 * @Date：2024/3/7 10:52
 * @Modify：
 */

@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
public @interface TraceLog {

    String desc() default "链路记录";

    OperationTypeEnum operationType() default OperationTypeEnum.GET;



}
