package com.szyx.tcm.supervision.model.dto.insurance;

import io.swagger.annotations.ApiModel;
import lombok.Data;

/*******************************************************************
 * <pre></pre>
 * @文件名称： InsuranceAccessTokenRep.java
 * @包 路  径： com.szyx.tcm.web.patient.dto.insurance
 * @Copyright：wy (C) 2024 *
 * @Description:
 * @Version: V1.0
 * @Author： wy
 * @Date： 2024/7/16 11:31
 * @Modify：
 */
@Data
@ApiModel("获取AccessToken")
public class InsuranceAccessTokenRep {

    /**
     * return_code
     * 返回状态码
     * string16
     * Y
     * SUCCESS/FAIL
     */
    private String returnCode;

    /**
     * return_msg
     * return_msg
     * string128
     * N
     * 返回信息，如非空，为错误原因
     */
    private String returnMsg;


    /**
     * result_code
     * 业务结果
     * String16
     * Y
     * SUCCESS/FAIL
     */
    private String resultCode;

    /**
     * err_code
     * 错误代码
     * String32
     * N
     */
    private String errCode;

    /**
     * err_code_des
     * 错误代码描述
     * String128
     * N
     */
    private String errCodeDes;

    /**
     * access_token
     * 获取到的凭证
     * String256
     * Y
     */
    private String accessToken;

    /**
     * expires_in
     * 凭证有效时间
     * Uint32
     * Y
     * 单位：秒
     */
    private Integer expiresIn;

}
