package com.szyx.tcm.supervision.model.dto.insurance;

import lombok.Data;

/*******************************************************************
 * <pre></pre>
 * @文件名称： InsuranceCoreCommonOutputMessage.java
 * @包 路  径： com.szyx.tcm.web.patient.dto.insurance
 * @Copyright：wy (C) 2024 *
 * @Description: 河南医保核心系统公共报文 v1.4
 * @Version: V1.0
 * @Author： wy
 * @Date： 2024/7/22 10:27
 * @Modify：
 */
@Data
public class InsuranceCoreCommonOutputMessage {

    // infcode	交易状态码	数值型	4		Y
    private Integer infcode;

    // inf_refmsgid	接收方报文ID	字符型	30		Y	接收方返回，接收方医保区划代码(6)+时间(14)+流水号(10)
    //时间格式：yyyyMMddHHmmss
    private String infRefmsgid;

    // refmsg_time	接收报文时间	字符型	17			格式：yyyyMMddHHmmssSSS
    private String refmsgTime;

    // respond_time	响应报文时间	字符型	17			格式：yyyyMMddHHmmssSSS
    private String respondTime;

    // err_msg	错误信息	字符型	200			交易失败状态下，业务返回的错误信息
    private String errMsg;

    // output	交易输出	字符型	40000
    private String output;




}
