package com.szyx.tcm.supervision.model.dto.insurance;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/*******************************************************************
 * <pre></pre>
 * @文件名称： InsuranceGetOrderReq.java
 * @包 路  径： com.szyx.tcm.web.patient.dto.insurance
 * @Copyright：wy (C) 2024 *
 * @Description:
 * @Version: V1.0
 * @Author： wy
 * @Date： 2024/7/19 10:37
 * @Modify：
 */
@Data
@ApiModel("医保下单参数")
public class InsuranceGetOrderReq {


    @ApiModelProperty("购药单id 如果是购药单医保支付传购药单id，如果是问诊单医保支付传问诊单id")
    private String platformOrderId;


    @ApiModelProperty("医保支付订单类型 1: 问诊单 2: 购药单")
    private Integer orderType = 1;

    @ApiModelProperty("微信医保授权码")
    private String authCode;


    @ApiModelProperty("订单医疗费总额")
    private String medfeeSumamt;


    @ApiModelProperty("业务流水号")
    private String orgBizSer;

    @ApiModelProperty("收费批次号")
    private String chrgBchno;

    @ApiModelProperty("费用类别")
    private String feeType;

    @ApiModelProperty("就诊事件ID")
    private String mdtrtId;

    @ApiModelProperty("医疗机构订单号")
    private String medOrgOrd;



}
