package com.szyx.tcm.supervision.model.dto.insurance;

import lombok.Data;

/*******************************************************************
 * <pre></pre>
 * @文件名称： InsurancePayOrderInputMessage.java
 * @包 路  径： com.szyx.tcm.web.patient.dto.insurance
 * @Copyright：wy (C) 2024 *
 * @Description:
 * @Version: V1.0
 * @Author： wy
 * @Date： 2024/7/23 17:26
 * @Modify：
 */
@Data
public class InsurancePayOrderInputMessage {

    /**
     * payAuthNo	支付授权码	字符型	40		Y	电子凭证线上渠道授权返回
     */
    private String payAuthNo;

    /**
     * payOrdId	待支付订单号	字符型	40		Y	费用上传返回
     */
    private String payOrdId;

    /**
     * payToken	支付订单对应的token	字符型	40		Y	费用上传返回
     */
    private String payToken;

    /**
     * orgCodg	定点机构编码	字符型	12		Y
     */
    private String orgCodg;

    /**
     * orgBizSer	业务流水号	字符型	40		Y	每一次请求唯一
     */
    private String orgBizSer;

    /**
     * chrgBchno	收费批次号	字符型	40		Y	与费用上传一致
     */
    private String chrgBchno;

    /**
     * feeType	费用类别	字符型	2		Y	与费用上传一致
     */
    private String feeType;

    /**
     * mdtrtId	就诊事件ID	字符型	40		Y	与费用上传一致
     */
    private String mdtrtId;

    /**
     * acctUsedFlag	个账使用标识	字符型	1		N	为空时默认使用费用上传时的值
     */
    private String acctUsedFlag;




}
