package com.szyx.tcm.supervision.model.dto.supervise;

import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
@Data
public class Symptoms {
    @ApiModelProperty(value = "中医症候诊断编码（TCD）")
    @JacksonXmlProperty(localName = "H01C")
    private String symptomsCode;

    @ApiModelProperty(value = "中医症候诊断名称")
    @JacksonXmlProperty(localName = "H01N")
    private String symptomsName;

    @ApiModelProperty(value = "是否中医主证编码")
    @JacksonXmlProperty(localName = "H02C")
    private Integer whetherMainSymptoms;


}