package com.szyx.tcm.supervision.model.dto.supervise;

import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @program: tcm-parent
 * @ClassName Visit
 * @description:
 * @author: jwmd
 * @create: 2023-05-22 19:37
 **/
@Data
public class Visit {
    @ApiModelProperty(value = "就诊原因编码", required = true)
    @JacksonXmlProperty(localName = "D01C")
    private String visitCode;

    @ApiModelProperty(value = "就诊原因名称", required = true)
    @JacksonXmlProperty(localName = "D01N")
    private String visitName;

    @ApiModelProperty(value = "是否主要就诊原因编码", required = true)
    @JacksonXmlProperty(localName = "D02C")
    private String whetherPrimary;
}