package com.szyx.tcm.supervision.service.insurance;

import com.szyx.tcm.supervision.model.dto.insurance.InsuranceCoreOutputMessage1101;
import com.szyx.tcm.supervision.model.dto.insurance.InsuranceGetOrderReq;
import com.szyx.tcm.supervision.model.dto.insurance.InsuranceRep;
import com.szyx.tcm.supervision.model.dto.insurance.InsuranceUploadRecipeDetailOutputMessage;
import com.szyx.tcm.supervision.service.IBaseBusinessService;

import java.util.List;

/*******************************************************************
 * <pre></pre>
 * @文件名称： InsuranceUploadDetailBusinessService.java
 * @包 路  径： com.szyx.tcm.supervision.service.insurance
 * @Copyright：wy (C) 2024 *
 * @Description:
 * @Version: V1.0
 * @Author： wy
 * @Date： 2024/7/26 23:26
 * @Modify：
 */
public interface InsuranceUploadDetailBusinessService extends IBaseBusinessService {

    @Override
    boolean match(Object context);

    @Override
    List<Object> process(Object context);

    boolean match(InsuranceGetOrderReq req, InsuranceRep insuranceInfo, InsuranceCoreOutputMessage1101 insuranceCoreInfo);

    List<InsuranceUploadRecipeDetailOutputMessage> process(InsuranceGetOrderReq req, InsuranceRep insuranceInfo, InsuranceCoreOutputMessage1101 insuranceCoreInfo);

}
