package com.szyx.tcm.supervision.model.dto.insurance;

import io.swagger.annotations.ApiModel;
import lombok.Data;

/*******************************************************************
 * <pre></pre>
 * @文件名称： DiseInfoList.java
 * @包 路  径： com.szyx.tcm.web.patient.dto.insurance
 * @Copyright：wy (C) 2024 *
 * @Description:
 * @Version: V1.0
 * @Author： wy
 * @Date： 2024/7/17 14:52
 * @Modify：
 */
@Data
@ApiModel("省医保平台「6201」上传处方药费明细请求参数诊断或症状明细")
public class DiseInfo {

    /**
     * diagType	诊断类别	字符型	3		Y	字典诊断类别(diag_type)
     * 1	西医主要诊断	3	中医主病诊断
     * 2	西医其他诊断	4	中医主证诊断
     */
    private String diagType;

    /**
     * diagSrtNo	诊断排序号	数值型	2		Y
     */
    private Integer diagSrtNo;

    /**
     * diagCode	诊断代码	字符型	20		Y
     */
    private String diagCode;

    /**
     * diagName	诊断名称	字符型	100		Y
     */
    private String diagName;

    /**
     * diagDept	诊断科室	字符型	50		Y
     */
    private String diagDept;

    /**
     * diseDorNo	诊断医生编码	字符型	30		Y
     */
    private String diseDorNo;

    /**
     * diseDorName	诊断医生姓名	字符型	50		Y
     */
    private String diseDorName;

    /**
     * diagTime	诊断时间	字符型	19		Y	yyyy-MM-dd HH:mm:ss
     */
    private String diagTime;

    /**
     * valiFlag	有效标志	字符型	3		Y
     */
    private String valiFlag;

}
