package com.szyx.tcm.supervision.model.dto.insurance;

import lombok.Data;

/*******************************************************************
 * <pre></pre>
 * @文件名称： InsuranceCoreInputMessage1101.java
 * @包 路  径： com.szyx.tcm.web.patient.dto.insurance
 * @Copyright：wy (C) 2024 *
 * @Description: 1101 输入报文
 * @Version: V1.0
 * @Author： wy
 * @Date： 2024/7/22 14:12
 * @Modify：
 */
@Data
public class InsuranceCoreInputMessage1101 {

    /**
     * mdtrt_cert_type	就诊凭证类型	字符型	3	Y	Y
     */
    private String mdtrtCertType;

    /**
     * mdtrt_cert_no	就诊凭证号码	字符型	50	Y	Y
     */
    private String mdtrtCertNo;

    /**
     * card_sn	卡识别码	字符型	32			就诊凭证类型为“03”时必填
     */
    private String cardSn;

    /**
     * begntime	开始时间	日期时间型				获取历史参保信息时传入
     */
    private String begntime;

    /**
     * psn_cert_type	人员证件类型	字符型	6	Y		就诊凭证类型为“01”和“03”时必填
     */
    private String psnCertType;

    /**
     * certno	证件号码	字符型	50			就诊凭证类型为“01”和“03”时必填
     */
    private String certno;

    /**
     * psn_name	人员姓名	字符型	50		Y
     */
    private String psnName;


}
