package com.szyx.tcm.supervision.model.dto.insurance;

import lombok.Data;

/*******************************************************************
 * <pre></pre>
 * @文件名称： InsuranceUploadRecipeDetailOutputMessage.java
 * @包 路  径： com.szyx.tcm.web.patient.dto.insurance
 * @Copyright：wy (C) 2024 *
 * @Description: 【6201】 上传医保费用明细响应参数
 * @Version: V1.0
 * @Author： wy
 * @Date： 2024/7/22 15:34
 * @Modify：
 */
@Data
public class InsuranceUploadRecipeDetailOutputMessage {

    /**
     * payOrdId	支付订单号	字符型	40		Y	医保结算中心订单号
     */
    private String payOrdId;

    /**
     * payToken	支付token	字符型	40		Y	下单支付使用
     */
    private String payToken;

    /**
     * cashierUrl	医保支付收银台h5地址	字符型	4000		N	见下方拼接说明
     */
    private String cashierUrl;

    /**
     * extData	医保扩展数据				N	根据各地方医保要求传不同数据内容
     */
    private String extData;





}
