package com.szyx.tcm.supervision.model.dto.insurance;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/*******************************************************************
 * <pre></pre>
 * @文件名称： UnifiedOrderRep.java
 * @包 路  径： com.szyx.tcm.web.patient.dto.insurance
 * @Copyright：wy (C) 2024 *
 * @Description:
 * @Version: V1.0
 * @Author： wy
 * @Date： 2024/7/24 10:13
 * @Modify：
 */
@Data
@ApiModel("统一下单返回参数")
public class UnifiedOrderRep {

    /**
     *

     pay_url
     支付链接
     String256
     Y
     下单后跳转到此url，用户完成支付,使用app支付时1.5 APP支付说明

     */
    @ApiModelProperty("支付链接")
    private String payUrl;

    /**
     *

     pay_appid
     支付小程序
     String64
     N
     当使用医院小程序进行下单时，会返回此参数，医院小程序跳转至该支付小程序进行支付
     */
    @ApiModelProperty("支付小程序")
    private String payAppid;



}
