package com.szyx.tcm.supervision.model.dto.supervise;

import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @program: tcm-parent
 * @ClassName Diagnose
 * @description:
 * @author: jwmd
 * @create: 2023-05-22 19:36
 **/
@Data
public class Diagnose {
    @ApiModelProperty(value = "中医疾病诊断编码（TCD）")
    @JacksonXmlProperty(localName = "G01C")
    private String diagnoseCode;

    @ApiModelProperty(value = "中医疾病诊断名称")
    @JacksonXmlProperty(localName = "G01N")
    private String diagnoseName;

    @ApiModelProperty(value = "是否中医主病编码")
    @JacksonXmlProperty(localName = "G02C")
    private Integer whetherMainDiagnose;
}