package com.szyx.tcm.supervision.service;

import com.szyx.tcm.supervision.model.dto.insurance.InsuranceGetOrderReq;

import java.util.List;

/*******************************************************************
 * <pre></pre>
 * @文件名称： IBaseBusinessService.java
 * @包 路  径： com.szyx.tcm.supervision.service
 * @Copyright：wy (C) 2024 *
 * @Description:  独立业务封装接口
 * @Version: V1.0
 * @Author： wy
 * @Date： 2024/7/26 23:21
 * @Modify：
 */
public interface IBaseBusinessService {

    /**
     * 匹配符合条件的业务
     * @param context 上下文
     * @return 是否匹配
     */
    boolean match( Object context);

    /**
     * 处理业务
     * @param context  上下文
     * @return 业务处理结果
     */
    List<Object> process(Object context);


}
