package com.szyx.tcm.supervision.service.Impl;

import com.szyx.tcm.supervision.model.dto.insurance.InsuranceCoreOutputMessage1101;
import com.szyx.tcm.supervision.model.dto.insurance.InsuranceGetOrderReq;
import com.szyx.tcm.supervision.model.dto.insurance.InsuranceRep;
import com.szyx.tcm.supervision.model.dto.insurance.InsuranceUploadRecipeDetailOutputMessage;
import com.szyx.tcm.supervision.service.AbstractBusinessService;
import org.springframework.core.annotation.Order;
import org.springframework.stereotype.Service;

import java.util.List;

/*******************************************************************
 * <pre></pre>
 * @文件名称： InsuranceUploadMedicineOrderDetailBusinessServiceImpl.java
 * @包 路  径： com.szyx.tcm.supervision.service.Impl
 * @Copyright：wy (C) 2024 *
 * @Description:
 * @Version: V1.0
 * @Author： wy
 * @Date： 2024/7/27 00:05
 * @Modify：
 */
@Service
@Order(2)
public class InsuranceUploadMedicineOrderDetailBusinessServiceImpl extends AbstractBusinessService {

    @Override
    public boolean match(InsuranceGetOrderReq req, InsuranceRep insuranceInfo, InsuranceCoreOutputMessage1101 insuranceCoreInfo) {
        return req.getOrderType() == 2;
    }

    @Override
    public List<InsuranceUploadRecipeDetailOutputMessage> process(InsuranceGetOrderReq req, InsuranceRep insuranceInfo, InsuranceCoreOutputMessage1101 insuranceCoreInfo) {
        return super.process(req, insuranceInfo, insuranceCoreInfo);
    }
}
